#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2.1
visibility:           public
id:                   ral-0.2.1-Led6n7U39f44PuPEXAxDTu
key:                  ral-0.2.1-Led6n7U39f44PuPEXAxDTu
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    These packages don'\''t provide length-indexed variants, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  dbe41cc611f748e6be56343f3ccb5d6a
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ral
hs-libraries:         HSral-0.2.1-Led6n7U39f44PuPEXAxDTu
depends:
    QuickCheck-2.14.3-7UtqTMZe3jxBonzxyjYW4P
    adjunctions-4.4.2-BebjGBKc38gHs7WipCQElk base-4.16.4.0
    bin-0.1.3-5pJNYZJT5DK7G1h0BMdCV8
    boring-0.2.1-4ay7NZ1mR0V485tuSNtr0u deepseq-1.4.6.1
    distributive-0.6.2.1-HFta0B3IhHn5UxcsuO0cUw
    fin-0.3-LXnnHHMVBMP1wLu59ZiGOQ
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    indexed-traversable-0.1.4-4sIHAL2TCLA7M9hJks3RSI
    semigroupoids-5.3.7-JkDZBHxyJuVJFVfufEzBnR

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

